# See details within this document for linkage to specification and purpose.
# This ontology file is a non-normative supporting document.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#>.
@prefix owl: <http://www.w3.org/2002/07/owl#>.
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>.
@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix vs: <http://www.w3.org/2003/06/sw-vocab-status/ns#> .
@prefix vann: <http://purl.org/vocab/vann/> .
@prefix foaf: <http://xmlns.com/foaf/0.1/> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#>.
@prefix : <http://rdf-pub.org#>.

: a owl:Ontology;
  dcterms:description "rdf types needed for fulfilling the rdf-pub work.";
  rdfs:label "rdf-pub vocabular";
  dcterms:publisher <http://rdf-pub.org/>;  
  foaf:maker [foaf:homepage <http://rdf-pub.org/>];
  dcterms:created "2022-01-12"^^xsd:date;
  vann:preferredNamespaceUri "http://rdf-pub.org#";
  vann:preferredNamespacePrefix "rdfpub" .
  
:outboxSparql
    a rdf:Property;
    rdfs:comment "Links a SPARQL endpoint to query the outbox resources of a as:actor.";    
    rdfs:label "outboxSparql";
    dcterms:issued "2022-01-12"^^xsd:date;
    dcterms:creator <https://mastodon.social/@naturzukunft>.

:inboxSparql
    a rdf:Property;
    rdfs:comment "Links a SPARQL endpoint to query the inbox resources of a as:actor.";    
    rdfs:label "inboxSparql";
    dcterms:issued "2022-01-12"^^xsd:date;
    dcterms:creator <https://mastodon.social/@naturzukunft>.

:publicSparql
    a rdf:Property;
    rdfs:comment "Links a SPARQL endpoint to query the public collection of a rdf-pub instance.";    
    rdfs:label "publicSparql";
    dcterms:issued "2022-04-18"^^xsd:date;
    dcterms:creator <https://mastodon.social/@naturzukunft>.

:version
    a rdf:Property;
    rdfs:comment "The rdf-pub software version of the running instance (a.k.a. maven version).";    
    rdfs:label "rdf-pub versioin";
    dcterms:issued "2023-05-23"^^xsd:date;
    dcterms:creator <https://mastodon.social/@naturzukunft>.

:commitId
    a rdf:Property;
    rdfs:comment "The git commitId from which this instance was built.";    
    rdfs:label "rdf-pub commitId";
    dcterms:issued "2023-10-07"^^xsd:date;
    dcterms:creator <https://mastodon.social/@naturzukunft>.
    
:openidConfiguration
    a rdf:Property;
    rdfs:comment "Links to the .well-known/openid-configuration";    
    rdfs:label "openid-configuration";
    dcterms:issued "2022-10-22"^^xsd:date;
    dcterms:creator <https://mastodon.social/@naturzukunft>.
    
:oauth2Issuer
    a rdf:Property;
    rdfs:comment "The oauth2 issuer of the oauth2 tokens with which an actor is authenticated";    
    rdfs:label "oauth2 issuer";
    dcterms:issued "2023-12-30"^^xsd:date;
    dcterms:creator <https://mastodon.social/@naturzukunft>.
    
:oauth2IssuerUserId
    a rdf:Property;
    rdfs:comment "The userId of the user, that is authenticated via an oauth2 issuer.";    
    rdfs:label "oauth2 issuer userId";
    dcterms:issued "2023-12-30"^^xsd:date;
    dcterms:creator <https://mastodon.social/@naturzukunft>.    
    
:oauth2IssuerPreferredUserName
    a rdf:Property;
    rdfs:comment "The user name of the user, that is authenticated via an oauth2 issuer.";    
    rdfs:label "oauth2 issuer preferred user name";
    dcterms:issued "2023-12-30"^^xsd:date;
    dcterms:creator <https://mastodon.social/@naturzukunft>.    